<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_b2f5a100" . "451164396" . "178c16d2a" . "5c6899" => base64_decode("cHJl" . "dl90" . "aXRs" . "ZQ=="), "_939c6a45ff74323dbef487ed1" . "5753a7c" => base64_decode("c3RhdG" . "U="), "_2e858fb1973337f53ff" . "85c104fcb38f4" => base64_decode("cHV" . "ibG" . "lza" . "GVk"), "_4c760fb02a49c55509" . "ba087b84fbda45" => base64_decode("ZHJhZnQ" . "="), "_6a90de6af" . "30bf720b66" . "8cfb570e60" . "6de" => base64_decode("cHJldl" . "9zdGF0" . "ZQ=="), "ti" . "tl" . "e" => base64_decode("dGl0" . "bGU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b2f5a100451164396178c16" . "d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["tit" . "le"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_6a90de6" . "af30bf72" . "0b668cfb" . "570e606d" . "e"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_939c6a45ff74323dbef487" . "ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff7" . "4323dbef487e" . "d15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4c760fb02a49c55509ba0" . "87b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2e858fb197333" . "7f53ff85c104fc" . "b38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}